VULKAN_HPP_NAMESPACE::MemoryType Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::MemoryType:
[legend]

## Public Member Functions

| operator VkMemoryType const & () const
| operator VkMemoryType & ()
bool | operator== (MemoryType const &rhs) const
bool | operator!= (MemoryType const &rhs) const

## Data Fields

MemoryPropertyFlags | propertyFlags
uint32_t | heapIndex

## Detailed Description

Definition at line 22355 of file vulkan.hpp.

## Member Function Documentation

## operator VkMemoryType &()

VULKAN_HPP_NAMESPACE::MemoryType::operator VkMemoryType & | ( |  | ) |

inline

Definition at line 22362 of file vulkan.hpp.

{
return *reinterpret_cast<VkMemoryType*>(this);
}

## operator VkMemoryType const &()

VULKAN_HPP_NAMESPACE::MemoryType::operator VkMemoryType const & | ( |  | ) | const

inline

Definition at line 22357 of file vulkan.hpp.

{
return *reinterpret_cast<const VkMemoryType*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::MemoryType::operator!= | ( | MemoryType const & | rhs | ) | const

inline

Definition at line 22373 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::MemoryType::operator== | ( | MemoryType const & | rhs | ) | const

inline

Definition at line 22367 of file vulkan.hpp.

{
return ( propertyFlags == rhs.propertyFlags )
&& ( heapIndex == rhs.heapIndex );
}

References heapIndex, and propertyFlags.

Referenced by operator!=().

## Field Documentation

## heapIndex

uint32_t VULKAN_HPP_NAMESPACE::MemoryType::heapIndex

Definition at line 22379 of file vulkan.hpp.

Referenced by operator==().

## propertyFlags

MemoryPropertyFlags VULKAN_HPP_NAMESPACE::MemoryType::propertyFlags

Definition at line 22378 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::MemoryType::heapIndex
uint32_t heapIndex
Definition: vulkan.hpp:22379
VULKAN_HPP_NAMESPACE::MemoryType::operator==
bool operator==(MemoryType const &rhs) const
Definition: vulkan.hpp:22367
VULKAN_HPP_NAMESPACE::MemoryType::propertyFlags
MemoryPropertyFlags propertyFlags
Definition: vulkan.hpp:22378
VkMemoryType
Definition: vulkan_core.h:2007